<!DOCTYPE html>
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, user-scalable=yes">
  <script src="http://maps.google.com/maps/api/js?sensor=true"></script>
  <style>
    html, body {
      margin: 0;
      padding: 0;
      height: 100%;
    }

    #mapa {
      width: 100%;
      height: 100%;
    }
  </style>
  <script>
    
		//Função que atualiza o mapa.
    function atualizarMapa(position) {
			
      //Obtém a latitude e a longitude.
      var mapsLatitude = new google.maps.LatLng(
           position.coords.latitude, 
           position.coords.longitude
      );
      
			//Define opções adicionais do Google Maps.
      var opcoes = {
        center : mapsLatitude, 
        zoom : 16,
        mapTypeId : google.maps.MapTypeId.ROADMAP,
        mapTypeControl : false,
        navigationControlOptions:{
          style : google.maps.NavigationControlStyle.SMALL
        }
      };
      
			//Cria o Google Maps.
      var googleMaps = new google.maps.Map(mapa, opcoes);
      
			//Define a localização.
      var marker = new google.maps.Marker({
        position : mapsLatitude, 
        map   : googleMaps,
        title :"Sua localização!"
      });
    }
     
		//Em caso de erros faz o tratamento.
    function tratarErro(error) {
      switch(error.code) {
        case error.PERMISSION_DENIED:
         console.log("Usuário não autorizou a Geolocalização.");
          break;
        case error.POSITION_UNAVAILABLE:
          console.log("Localização indisponível.");
          break;
        case error.TIMEOUT:
          console.log("Requisição expirou.");
          break;
        case error.UNKNOWN_ERROR:
          console.log("Erro desconhecido!");
          break;
      }
    }
    
		//Função que invoca a localização do usuário.
    function obterLocalizacao(){
      navigator.geolocation.getCurrentPosition(atualizarMapa, tratarErro);
    }
  </script>
</head>
<html>
<body onload="obterLocalizacao()">
  <div id="mapa"></div>
</body>
</html>